const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Agam',
    'Kabupaten Dharmasraya',
    'Kabupaten Kepulauan Mentawai',
    'Kabupaten Lima Puluh Kota',
    'Kabupaten Padang Pariaman',
    'Kabupaten Pasaman',
    'Kabupaten Pasaman Barat',
    'Kabupaten Pesisir Selatan',
    'Kabupaten Sijunjung',
    'Kabupaten Solok',
    'Kabupaten Solok Selatan',
    'Kabupaten Tanah Datar',
    'Kota Bukittinggi',
    'Kota Padang',
    'Kota Padang Panjang',
    'Kota Pariaman',
    'Kota Payakumbuh',
    'Kota Sawahlunto',
    'Kota Solok'

    // 19
];

exports.seedSumateraBaratCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Sumatera Barat' },
    });

    if (!province) {
        console.error('❌ Province Sumatera Barat not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: { updatedAt: timeLocal.now().toDate() },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Sumatera Barat City seeded!.');
};